package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

public class DrpMarketPricePageDTO {
   @ApiModelProperty("采集单号")
   private String harvestId;
   @ApiModelProperty("采集日期开始")
   private LocalDate harvestTimeStart;
   @ApiModelProperty("采集日期结束")
   private LocalDate harvestTimeEnd;
   @ApiModelProperty("提交状态(1待提交,2已提交)")
   private Integer commitStatus;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间开始")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("创建时间结束")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("区域IDList")
   private List<Long> areaIdList;
   private List<Long> areaAuth;


   public String getHarvestId() {
      return this.harvestId;
   }

   public LocalDate getHarvestTimeStart() {
      return this.harvestTimeStart;
   }

   public LocalDate getHarvestTimeEnd() {
      return this.harvestTimeEnd;
   }

   public Integer getCommitStatus() {
      return this.commitStatus;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public DrpMarketPricePageDTO setHarvestId(final String harvestId) {
      this.harvestId = harvestId;
      return this;
   }

   public DrpMarketPricePageDTO setHarvestTimeStart(final LocalDate harvestTimeStart) {
      this.harvestTimeStart = harvestTimeStart;
      return this;
   }

   public DrpMarketPricePageDTO setHarvestTimeEnd(final LocalDate harvestTimeEnd) {
      this.harvestTimeEnd = harvestTimeEnd;
      return this;
   }

   public DrpMarketPricePageDTO setCommitStatus(final Integer commitStatus) {
      this.commitStatus = commitStatus;
      return this;
   }

   public DrpMarketPricePageDTO setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
      return this;
   }

   public DrpMarketPricePageDTO setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
      return this;
   }

   public DrpMarketPricePageDTO setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
      return this;
   }

   public DrpMarketPricePageDTO setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpMarketPricePageDTO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }
}
